my $dir = $0;

$dir =~ s/\\/\//g;
$dir =~ s/^(.*)\/(.*?)$/$1/;

do "$dir/config.pl" or die "couldnt do $dir/config.pl";

# ===============================================================
# main code
# ===============================================================


# ===============================================================
# remove any existing flv's from our directory;

opendir(DIR, "$flv_local_dir") or die "couldnt open dir: \"$flv_local_dir\" to read\n";
@dir = readdir(DIR);
close(DIR);

for(@dir)
{
	if($_ !~ /\.flv$/i)
	{
		next;
	}
	if (unlink("$flv_local_dir/$_") == 1) 
	{
		print "\"$flv_local_dir/$_\" deleted successfully.\n";
	}
	else
	{
		print "\"$flv_local_dir/$_\" was not deleted.\n";
	}
}


my $minsize = 1024; # i think its in bytes

my $pos = 0;
my $count = 1;
my $filesize = 0;

while()
{
	print "\n\n\nPOS = $pos\n\n";
	$out_file = "$flv_local_dir/"."$count"."default.flv";
	$cmd = "\"$enc_exe\" \"$ARGV[0]\" -ss $pos -endpos $duration $enc_opts -o \"$out_file\"";
	print "$cmd\n\n";
	system("$cmd");
	
	&check_jobs;
	$filesize = -s "$out_file";
	if($filesize <= $minsize)
	{
		print "\n\nFile ended, halting encoding.\n";
		exit 1;
	}
	$count++;
	$pos += $duration;
}

exit 1;

# check_jobs - if another job is waiting, exit this one.

sub check_jobs
{
	# check to see if another job is waiting
	
	opendir(DIR, "$work_dir") or die "ERROR: goto_next - couldnt open $work_dir\n";
	my @dir = readdir(DIR);
	closedir(DIR);
	
	my $count = 0;
	for(@dir)
	{
		if(/\.(bat|sh)$/i)
		{
			$count++;
		}
		
		if($count >= 2)
		{
			print "\n\n>>> found new job abandoning old one.\n\n";
			exit 1;
		}
	}
	
	if($count == 0)
	{
			print "\n\n>>> Jobs cleared, aborting current encode.\n\n";
			exit 1;
	}
	return 1;	
}